package opendic;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Shell;

public class MyDialog extends Dialog {
	public int dicNum = -1;

	public MyDialog(Shell parent) {
		super(parent);
	}

	protected void configureShell(Shell newShell) {
		super.configureShell(newShell);
		newShell.setText("");
	}

	protected Control createDialogArea(Composite parent) {
		Composite composite = (Composite) super.createDialogArea(parent);

		Group group = new Group(composite, SWT.NONE);
		group.setText("");
		group.setLayout(new GridLayout(1, false));

		Button button1 = new Button(group, SWT.RADIO);
		button1.setText("");
		button1.addSelectionListener(new SelectionListener() {
			public void widgetSelected(SelectionEvent e) {
				dicNum = 0;
			}

			public void widgetDefaultSelected(SelectionEvent e) {
				dicNum = 0;
			}
		});

		Button button2 = new Button(group, SWT.RADIO);
		button2.setText("");
		button2.addSelectionListener(new SelectionListener() {
			public void widgetSelected(SelectionEvent e) {
				dicNum = 1;
			}

			public void widgetDefaultSelected(SelectionEvent e) {
				dicNum = 1;
			}
		});
		return composite;
	}
}
