package opendic;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.TextSelection;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorActionDelegate;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.texteditor.ITextEditor;

public class PopUpMenu implements IEditorActionDelegate{
	private IEditorPart editor;
	private static DicView dic;
	
	public static void setInstance(DicView view){
		dic = view;
	}
	
	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		this.editor = targetEditor;
	}

	public void run(IAction action) {
		if (editor instanceof ITextEditor) {
			TextSelection selectedText = (TextSelection) editor.getEditorSite()
					.getSelectionProvider().getSelection();
			String selected = selectedText.getText();
			dic.popUpTranslate(selected);
		}
	}

	public void selectionChanged(IAction action, ISelection selection) {
	}
}
